Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452385 - add postgresql-jdbc dependency and add classpath
Summary: add postgresql-jdbc dependency and add classpath
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 18:24 UTC by Michael J. Chudobiak
Modified: 2008-09-10 06:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 06:39:26 UTC


Attachments (Terms of Use)

Description Michael J. Chudobiak 2008-06-21 18:24:02 UTC
oo-base does not support postgresql "out of the box", even though
postgresql-jdbc is available in the Fedora repos. Furthermore, after you install
the postgresql-jdbc rpm, you need to activate it in oo-base using:

Tools > Options > Openoffice.org > Java > classpath >
/usr/share/java/postgresql-jdbc.jar

which is totally user-hostile.

I suggest adding a postgresql-jdbc dependency to oo-base, and installing the
/usr/share/java/postgresql-jdbc.jar classpath in oo-base for the user.

This would make it much easier to offer oo-base as an MS-Access replacement.

- Mike

Comment 1 Caolan McNamara 2008-07-08 21:57:22 UTC
We could do that I guess, alternatively perhaps we should add in the postgresql
sdbc (lower-level) driver of
http://dba.openoffice.org/drivers/postgresql/index.html into OOo. Do you have a
preference ?

Comment 2 Michael J. Chudobiak 2008-07-09 01:00:11 UTC
At the moment, the sdbc driver "has issues" and seems to be poorly maintained
(last release = 0.7.5, 2007-08-27). For instance, it currently chokes on
currency-type fields (decimal?).

The jdbc driver works better in my experience, and it is already in the repos,
so hopefully it is just a matter of providing a bit of rpm glue.

However, having ANY postgresql driver readily available in OO by default would
be a big step forward. In an ideal world, both the sdbc and jdbc drivers would
be readily available.

- Mike


Comment 3 Caolan McNamara 2008-07-09 14:07:38 UTC
checked in, will be in >= openoffice.org-2.4.1-17.5

Comment 4 Fedora Update System 2008-08-07 11:06:24 UTC
openoffice.org-2.4.1-17.5.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-08-12 18:26:12 UTC
openoffice.org-2.4.1-17.5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7220

Comment 6 Fedora Update System 2008-08-28 07:47:26 UTC
openoffice.org-2.4.1-17.6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openoffice.org-2.4.1-17.6.fc9

Comment 7 Fedora Update System 2008-09-10 06:38:58 UTC
openoffice.org-2.4.1-17.6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.